Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1555730 - emacs-pymacs: FTBFS in F28
Summary: emacs-pymacs: FTBFS in F28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-pymacs
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:34 UTC by Fedora Release Engineering
Modified: 2019-12-04 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:55:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 12:06 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 12:06 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 12:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 19:34:27 UTC
Your package emacs-pymacs failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24782830

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Tim Landscheidt 2018-05-27 15:50:18 UTC
Adding texlive-gsftopk-bin and texlive-hyphen-base as BuildRequires fixes the build failure on F27; on F28 the TeX compilation stills fails with:

| ! Undefined control sequence.
| <write> ...re your \protect \texttt  {\DUrolefile 
|                                                   {.emacs}} file}{\thepage }...
| l.580 F
|        rom Pymacs 0.23 and upwards, Python 2.2 or better is likely needed,
| ? 
| ! Emergency stop.

Diffing pymacs.tex in F27 and F28 shows (inter alia):

| --- /tmp/27.tex 2018-05-27 15:38:07.794938632 +0000
| +++ /tmp/28.tex 2018-05-27 15:36:16.008923916 +0000
| @@ -1,6 +1,5 @@
|  \documentclass[a4paper]{article}
|  % generated by Docutils <http://docutils.sourceforge.net/>
| -\usepackage{fixltx2e} % LaTeX patches, \textsubscript
|  \usepackage{cmap} % fix search and cut-and-paste in Acrobat
|  \usepackage{ifthen}
|  \usepackage[T1]{fontenc}
| @@ -37,14 +36,11 @@
|  % inline markup (custom roles)
|  % \DUrole{#1}{#2} tries \DUrole#1{#2}
|  \providecommand*{\DUrole}[2]{%
| -  \ifcsname DUrole#1\endcsname%
| +  % backwards compatibility: try \docutilsrole#1{#2}
| +  \ifcsname docutilsrole#1\endcsname%
| +    \csname docutilsrole#1\endcsname{#2}%
| +  \else
|      \csname DUrole#1\endcsname{#2}%
| -  \else% backwards compatibility: try \docutilsrole#1{#2}
| -    \ifcsname docutilsrole#1\endcsname%
| -      \csname docutilsrole#1\endcsname{#2}%
| -    \else%
| -      #2%
| -    \fi%
|    \fi%
|  }

| @@ -89,9 +85,8 @@

So this seems to be related to some changes between python-docutils 0.13 and 0.14 that need to be reflected in a patch.

Comment 2 Fedora Release Engineering 2018-05-28 12:06:34 UTC
Created attachment 1443162 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-28 12:06:40 UTC
Created attachment 1443163 [details]
root.log

Comment 4 Fedora Release Engineering 2018-05-28 12:06:44 UTC
Created attachment 1443164 [details]
state.log

Comment 5 Tim Landscheidt 2018-06-06 08:32:14 UTC
It was confirmed in https://sourceforge.net/p/docutils/mailman/message/36334748/ that this is due to an error in Docutils 0.14 and essentially the diff needs to be reverted.  I'll prepare a patch if noone beats me to it.

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:12:42 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:25:36 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 8 Miro Hrončok 2019-04-01 21:32:07 UTC
Let's orphan this?

Comment 9 Miro Hrončok 2019-04-09 17:56:56 UTC
https://pagure.io/releng/issue/8272

Comment 10 Miro Hrončok 2019-04-16 12:59:01 UTC
orphaned

Comment 11 Ben Cotton 2019-05-02 19:23:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-05-02 19:40:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-28 23:55:02 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.